@import url("https://fonts.googleapis.com/css2?family=Josefin+Sans:ital@1&family=Poppins:wght@300;400;500;600;700&family=Saira:wght@700&display=swap");

:root {
  --primary-color: #033b4a;
  --secondry-color: #20c997;
  --gray: #4a4a4d;
  --bg-primary: #ecf0f3;
}

* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
}
html {
  scroll-behavior: smooth;
}

body {
  font-family: "Poppins", sans-serif;
}
.container {
  max-width: 1100px;
  margin: auto;
}
h1,
h2 {
  font-family: "Saira", sans-serif;
}
li {
  list-style: none;
}
a {
  text-decoration: none;
}
.text-primary {
  color: var(--secondry-color);
}

.btn-primary {
  color: #fff;
  background-color: var(--secondry-color);
  padding: 8px 10px;
  border-radius: 3px;
  transition: all 0.3s ease;
}
.btn-primary:hover {
  background-color: #15a076;
}

header {
  background-color: var(--bg-primary);
  height: 100vh;
}
header .navbar {
  border: 1px solid #ccc;
  background-color: #fff;
  width: 100%;
  padding: 1.5rem 2rem;
  position: fixed;
  z-index: 1;
}

header .navbar nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: 1100px;
  margin: auto;
}

header .navbar nav ul {
  display: flex;
  justify-content: center;
  align-items: center;
}

header .navbar nav #logo {
  font-size: 1.25rem;
  font-weight: 600;
  color: var(--primary-color);
}

header .navbar nav ul li a {
  margin: 0 15px;
  font-weight: 600;
  color: var(--primary-color);
  transition: all 0.3s ease;
}
header .navbar nav ul li a:hover {
  color: var(--secondry-color);
}
header .content {
  max-width: 1100px;
  margin: auto;
  height: 100%;
  display: grid;
  grid-template-columns: 1.5fr 1fr;
  align-items: center;
}

header .text {
  padding: 1rem;
  margin :0 1rem;
}
header .tittle {
  font-size: 20px;
  font-weight: 700;
}
header .name {
  font-size: 40px;
  font-weight: 600;
  color: var(--primary-color);
  text-shadow: 3px 3px 3px 0 rgba(0, 0, 0, 0.2);
}
header .job {
  font-size: 20px;
  font-weight: 500;
  color: var(--gray);
}
.social a i {
  background-color: var(--gray);
  font-size: 18px;
  color: #fff;
  padding: 10px;
  border-radius: 50%;
  margin: 20px 5px;
  transition: all 0.3s ease;
}
.social a i:hover {
  transform: scale(0.8);
}

.content img {
  margin-top: 50px;
}

#about {
  padding: 0 2rem;
  margin: 3rem 0;
}

#about .container h2 {
  text-align: center;
  font-size: 38px;
  font-weight: 600;
  color: var(--primary-color);
  letter-spacing: 1px;
}

#about hr {
  width: 100px;
  height: 3px;
  border: none;
  background-color: var(--secondry-color);
  margin: 5px auto 0;
}

#about .about-content {
  margin-top: 3rem;
}

.about-content {
  display: grid;
  grid-template-columns: 2fr 1fr;
  gap: 3rem;
}

.about-content .col-1 h3 {
  font-size: 28px;
  margin-bottom: 25px;
  font-weight: 600;
}
.about-content .col-1 p {
  color: var(--gray);
  line-height: 1.8;
}
.about-content .col-2 p {
  color: var(--gray);
  margin-bottom: 25px;
  padding-bottom: 5px;
  border-bottom: 1px solid #ddd;
}
#skills {
  padding: 1rem 2rem;
  background: var(--primary-color);
}

#skills .container h2 {
  text-align: center;
  font-size: 38px;
  font-weight: 600;
  padding-top: 1rem;
  color: #fff;
  letter-spacing: 1px;
}

#skills hr {
  width: 100px;
  height: 3px;
  border: none;
  background-color: var(--secondry-color);
  margin: 5px auto 0;
}
.my-skills {
  margin-top: 2rem;
  background-color: #0f272d;
  display: grid;
  grid-template-columns: repeat(4, 1fr);
  align-items: center;
  text-align: center;
}
.item {
  background-color: #000;
  margin: 20px;
  padding: 20px;
  border-radius: 10px;
}
.item img {
  max-width: 50px;
}
.item h3 {
  margin-top: 10px;
  font-size: 18px;
  font-weight: 700;
  color: #fff;
}

#Education {
  padding: 2rem 2rem;
  background: #fff;
}
#Education .container .university {
  background-color: var(--bg-primary);
  margin-top: 2rem;
  display: grid;
  grid-template-columns: 1fr 2fr;
  gap:1rem;
  border-radius: 10px;
}

#Education .container h2 {
  text-align: center;
  font-size: 38px;
  font-weight: 600;
  padding-top: 1rem;
  color: var(--primary-color);
  letter-spacing: 1px;
}
#Education hr {
  width: 100px;
  height: 3px;
  border: none;
  background-color: var(--secondry-color);
  margin: 5px auto 0;
}
#Education .university img {
  width: 100%;
  height: 100%;
}

#Education .university-con {
  margin-top: 3rem;
}
#Education .university-con h3 {
  color: var(--primary-color);
}
#Education .university-con p {
  margin: 10px 0;
}
#Education .university-con .graduate {
  color: #15a076;
  font-size: 20px;
  font-weight: 600;
}
#contact {
  background-color: #00f4ab0c;
  margin-top: 3rem;
  padding: 10px;
}
#contact .container h2 {
  padding-top: 20px;
  text-align: center;
  font-size: 38px;
  font-weight: 600;
  color: var(--primary-color);
  letter-spacing: 1px;
}

#contact hr {
  width: 100px;
  height: 3px;
  border: none;
  background-color: var(--secondry-color);
  margin: 5px auto 0;
}

#contact .row {
  margin: 2rem 0 0 0;
  padding: 10px;
  background-color: #fff;
  display: grid;
  grid-template-columns: 1fr 1fr;
  box-shadow: 3px 3px 20px rgba(0, 0, 0, 0.2);
  border-radius: 10px;
  column-gap: 1rem;
}

.row form {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
}
.row form input {
  outline: none;
  padding: 10px;
  border: 1px solid #eee;
  border-radius: 6px;
  background-color: #00f4ab0c;
  height: 50px;
  display: block;
  width: 100%;
  margin-top: 1rem;
}
.row form textarea {
  outline: none;
  padding: 10px;
  border: 1px solid #eee;
  border-radius: 6px;
  background-color: #00f4ab0c;
  width: 100%;
  margin: 1rem 0 2rem;
}
.fotter {
  text-align: center;
  width: 100%;
  padding: 5px 0;
  font-size: 15px;
  color: #fff;
  background-color: #222;
}
@media screen and (max-width: 768px) {
  header {
    max-height: 600px;
  }
  header .content {
    grid-template-columns: 1fr;
    margin: 0;
  }
  header .navbar nav {
    display: grid;
    justify-content: center;
    align-items: center;
    gap: 1rem;
  }
  header .navbar nav #logo {
    text-align: center;
  }

  header .navbar nav ul li {
    margin: 0 1rem;
  }
  header .content {
    max-width: 700px;
    margin: auto;
    display: grid;
    grid-template-columns: 1fr 1fr;
    justify-content: center;
    align-items: center;
  }
  header .name {
    font-size: 30px;
  }
  header .job {
    font-size: 17px;
  }
  .content .image {
    max-width: 500px;
    margin-top: 5rem;
  }
  .social a i {
    font-size: 13px;
  }
  #about .container h2 {
    font-size: 30px;
  }
  #about .about-content {
    margin-top: 2rem;
  }
  .about-content {
    grid-template-columns: 1fr;
    max-width: 650px;
    margin: auto;
  }
  .about-content .col-1 h3 {
    font-size: 20px;
    margin-bottom: 15px;
    font-weight: 600;
  }
  .about-content .col-1 p {
    color: var(--gray);
    line-height: 1.3;
  }

  #skills .container h2 {
    font-size: 30px;
    padding-top: 1rem;
  }

  #skills .my-skills {
    margin: 1rem auto;
    grid-template-columns: repeat(3, 1fr);
    align-items: center;
    text-align: center;
  }
  .item h3 {
    margin-top: 5px;
    font-size: 12px;
    font-weight: 700;
    color: #fff;
  }

  #Education .container .university {
    grid-template-columns: repeat(1, 1fr);
    gap: 0rem;
  }
  #Education .container h2 {
    font-size: 30px;
  }
  #Education .university img {
    width: 100%;
  }

  #Education .university-con {
    padding: 20px 20px 0;
    margin: 0;
    display: flex;
    flex-direction: column;
    align-items: start;
    justify-content: start;
  }
  #Education .university-con .graduate {
    margin-bottom: 1rem;
  }
  #contact {
    margin-top: 1rem;
    padding-bottom: 1rem;
  }
  #contact .container h2 {
    font-size: 30px;
  }
  #contact .row {
    width: 90%;
    margin: 1rem auto .5rem;
    column-gap: 0rem;

  }

}

@media screen and (max-width: 528px) {
  header {
    height: 700px;
  }

  .btn-primary {
    padding: 4px 5px;
    border-radius: 3px;
  }
  header .content {
    grid-template-columns: 1fr;
    margin: 0 auto;
  }

  header .navbar nav {
    display: grid;
    align-items: center;
    justify-content: center;
    gap: 10px;
  }
  header .navbar nav #logo {
    margin-bottom: 10px;
    text-align: center;
    color: var(--peimary-color);
  }

  header .navbar {
    border: 1px solid #ccc;
    background-color: #fff;
    width: 100%;
    padding: 1.5rem 1rem;
    position: fixed;
    z-index: 1;
  }

  header .navbar nav ul li {
    margin: 0;
    font-size: 12px;
  }

  header .content .text {
    margin: 0 1rem;
    margin-top: 10rem;
  }
  header .name {
    font-size: 25px;
  }
  header .job {
    font-size: 13px;
  }
  .content .image {
    width: 250px;
    height: 100%;
    margin: 0 auto;
  }
  .social a i {
    font-size: 12px;
  }
  #about .container h2 {
    font-size: 25px;
  }
  #about .about-content {
    margin-top: 1rem;
  }
  .about-content {
    grid-template-columns: 1fr;
    margin: auto;
  }
  .about-content .col-1 h3 {
    font-size: 17px;
    margin-bottom: 15px;
    font-weight: 600;
  }
  .about-content .col-1 p {
    color: var(--gray);
    line-height: 1.3;
    font-size: 12px;
  }
  #skills .container h2 {
    font-size: 25px;
    padding-top: 1rem;
  }

  #skills .my-skills {
    margin: 1rem auto;
    grid-template-columns: repeat(2, 1fr);
    align-items: center;
    text-align: center;
  }
  .item {
    margin: 15px;
    padding: 10px;
    border-radius: 10px;
  }

  #Education .container .university {
    margin-top: 1rem;
    display: grid;
    grid-template-columns: 1fr;
    border-radius: 10px;
  }

  #Education .container h2 {
    font-size: 25px;
  }

  #Education .university img {
    width: 100%;
    height: 220px;
  }
  #Education .university-con {
    padding: 20px 20px 0;
  }
  #Education .university-con h3 {
    font-size: medium;
  }
  #Education .university-con p {
    font-size: 12px;
  }
  #Education .university-con .graduate {
    font-size: 14px;
    margin-bottom: 10px;
  }
  #contact {
    margin-top: .5rem;
  }
  #contact .container h2 {
    font-size: 25px;
  }
  #contact hr {
    width: 100px;
    height: 3px;
    border: none;
    background-color: var(--secondry-color);
    margin: 5px auto 1rem;
  }
  #contact .row {
    padding: 10px;
    width: 90%;
    margin: 0 auto;
    grid-template-columns: 1fr;
    column-gap: 0rem;
  }
  .row img {
    width: 100%;
    max-height: 300px;
  }

  .row form input {
    outline: none;
    padding: 10px;
    height: 50px;
    display: block;
    width: 90%;
    margin-top: 1rem;
  }
  .row form textarea {
    outline: none;
    padding: 10px;
    border: 1px solid #eee;
    border-radius: 6px;
    background-color: #00f4ab0c;
    width: 90%;
    margin: 1rem 0 1rem;
  }

}
